Seite 1 von 1

Neue Pakete in Stable und Testing

Verfasst: 08 Nov 2019, 10:37
von m.radtke
Liebe opsi Anwenderinnen und Anwender,

mit dem heutigen Release veröffentlichen wir Pakete in Stable und Testing.

opsi Server Pakete:
Stable:
* python-opsi (4.1.1.81-1)

Testing:
* opsi-nagios-plugins (4.1.1.7-3)
* opsi-utils (4.1.1.33-6)
* python-opsi (4.1.1.83-1)
* opsi-linux-bootimage (20191104-1)

Opsi Pakete in Stable:
Windows Localboot:
* opsi-setup-detector (4.1.0.14-1)
* windomain (1.0-11)

Linux Localboot:
* l-hwaudit (4.1.0.1-3)

Opsi Pakete in Testing:
Windows Netboot:
* win* (4.1.0.1-9)

Windows Localboot:
* opsi-bootimage-local (20191104-1)
* config-win10 (4.1.1-8)
* windows10-upgrade (19.09-4)

opsi-local-image Netboot:
* opsi-local-image-win* (4.1.0.1-7)
* opsi-vhd-win10-x64 (4.1.0.1-11)

Linux Localboot:
* opsi-linux-client-agent (4.1.0.19-8)
* l-desktop (4.1.0.5-4 )

Linux Netboot:
* debian 10 (4.1.0.3-2)
* ubuntu18-04 (4.1.0.2-2)

Code: Alles auswählen

config-win10 (4.1.1-8);. stable; urgency=low
  * new property oobeDisablePrivacyExperience
        https://www.tenforums.com/tutorials/118840-enable-disable-privacy-settings-experience-sign-windows-10-a.html
        https://winaero.com/blog/disable-privacy-experience-windows-10/
        https://forum.opsi.org/viewtopic.php?t=11191

-- Bardo Wolf <b.wolf@uib.de> Wed, 16 Oct 2019

-----------------------------------

windows10-upgrade (19.09-4) stable; urgency=low
        * fixed path in opsiclientd_checker.ps1
        * fixed error handling in opsiclientd_checker.ps1
-- Matthias Knauer <m.knauer@uib.de> Wed 06 Nov 2019 13:00:00 +0200

windows10-upgrade (19.09-3) stable; urgency=low
        * cleaned up all scripts
        * detects and fixes broken opsiclientd when upgrading from a windows version <win10
        * fixed condition for running Registry_del_run
-- Matthias Knauer <m.knauer@uib.de> Mon  31 Oct 2019 13:00:00 +0200

windows10-upgrade (19.09-2) stable; urgency=low
        * fix syntax error
-- bardo wolf <b.wolf@uib.de> Mon  21 Oct 2019 13:00:00 +0200

windows10-upgrade (19.09-1) stable; urgency=low
        * #2019071910000014 - Windows 10 Upgrade Paket Verbesserungsvorschläge
        * SetLoglevel=7

        * property installfiles_dir now editable
        * new property automode
        * postinst-script based on win10-x64_4.1.0.0-16.opsi

        * if target 1809 or gt.: [Registry_hklm_disable_oobedisableprivacyexperience]
          openkey [HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\OOBE]
          set "DisablePrivacyExperience"= reg_dword:1

-- bardo wolf <b.wolf@uib.de> Wed  16 Oct 2019 13:00:00 +0200

-----------------------------------

opsi-nagios-plugins (4.1.1.7-3) testing; urgency=medium

  * .deb: Removed postinst because it is unused.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 07 Nov 2019 14:27:23 +0100

opsi-nagios-plugins (4.1.1.7-2) stable; urgency=medium

  * Re-packaged.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 07 Nov 2019 14:23:36 +0100

opsi-nagios-plugins (4.1.1.7-1) testing; urgency=medium

  * check_opsi: changed licensing model

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 02 Oct 2019 11:00:57 +0200

opsi-nagios-plugins (4.1.1.6-1) stable; urgency=low

  * check-opsi: using /usr/bin/python
  * spec: corrected licensing tag

 -- Mathias Radtke <m.radtke@uib.de> Thu, 29 Aug 2019 15:00:00 +0200

---------------------

opsi-utils (4.1.1.33-6) stable; urgency=medium

  * Re-added manpages to the package.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 07 Nov 2019 09:43:33 +0100

opsi-utils (4.1.1.33-5) stable; urgency=medium

  * .deb postinst: Do not fail on empty /etc/opsi/package-updater.repos.d/.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 07 Nov 2019 09:13:17 +0100

opsi-utils (4.1.1.33-4) testing; urgency=medium

  * changed all licenses to AGPLv3 in all programs

 -- Mathias Radtke <m.radtke@uib.de>  Wed, 02 Oct 2019 11:12:59 +0200

opsi-utils (4.1.1.33-3) testing; urgency=medium

  * corrected RPM licensing

 -- Mathias Radtke <m.radtke@uib.de>  Fri, 30 Aug 2019 09:11:33 +0200

---------------------

python-opsi (4.1.1.83-1) testing; urgency=medium

  * Fix regular expression pattern of HD audio device drivers.
    This has been broken since 4.1.1.63-1.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Mon, 04 Nov 2019 14:51:34 +0100

python-opsi (4.1.1.82-1) testing; urgency=medium

  * 30_kiosk.conf: Getting the product groups now works with broken configs.
  * MySQL backend: Changed SOFTWARE_CONFIG.config_id to bigint to allow for
    more entries. An update routine has been added that can be executed by
    running opsi-setup --update-mysql.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 17 Oct 2019 13:19:31 +0200

python-opsi (4.1.1.81-1) stable; urgency=medium

  * Use an User-Agent setting in accordance to RFC 2616 in more places.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Fri, 11 Oct 2019 15:22:25 +0200

python-opsi (4.1.1.80-1) stable; urgency=medium

  * OPSI.System.Posix.getActiveSessionIds: Support parsing output where the
    date is split into separate entries for month and day.
  * OPSI.Util.Task.UpdatePackages.Config: refactored parsing of split entries.

 -- Niko Wenselowski <n.wenselowski@uib.de>  Thu, 10 Oct 2019 12:38:59 +0200

-----------------------------------

ubuntu18-04 (4.1.0.2-2) stable; urgency=low

  * Working on older bootimages not providing secure boot functionality.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu Oct 31 12:50:59 2019 +0200

----------------

debian10 (4.1.0.3-2) stable; urgency=low

  * Working on older bootimages not providing secure boot functionality.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu Oct 31 12:50:59 2019 +0200

----------------

windows (4.1.0.1-9) stable; urgency=low

  * Working on older bootimages not providing secure boot functionality.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu Oct 31 12:51:06 2019 +0200

----------------

opsi-local-image (4.1.0.1-7) stable; urgency=low

  * Working on older bootimages not providing secure boot functionality.

 -- Niko Wenselowski <n.wenselowski@uib.de> Thu Oct 31 15:32:50 2019 +0200

-----------------------------------

opsi-vhd-win10-x64 (4.1.0.1-11) stable; urgency=low

  * Working on older bootimages not providing secure boot functionality.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu Oct 31 12:51:06 2019 +0200

-----------------------------------

opsi-bootimage-local (20101104-1) testing; urgency=low

  * updated to opsi-linux-bootimage_20191104-1

 -- Mathias Radtke <m.radtke@uib.de> Mon, 07 Nov2019 17:00:00 +0200
 
-----------------------------------

opsi-linux-bootimage (20191104-1) testing; urgency=medium

  * fixing dhclient timeout setting

 -- Mathias Radtke <m.radtke@uib.de>  Mon, 04 Nov 2019 09:30:33 +0100
 
 -----------------------------------

l-hwaudit 4.1.0.1-3; testing; urgency=low

  * cleanup
  * modernise python-opsi-usage
  * exporting LANG to prevent locale error

-- Mathias Radtke <m.radtke@uib.de> Wed, 16 Oct 2019 14:50:00 +0200

-----------------------------------

opsi-linux-client-agent (4.1.0.19-8) stable; urgency=medium

  * opsiscriptstarter.timer waits longer before getting active to avoid
    problems with network not being ready when started.
    It now is also activated after boot and timer activation.

 -- Niko Wenselowski <n.wenselowski@uib.de> Wed, 15 Oct 2019 10:33:04 +0100

opsi-linux-client-agent (4.1.0.19-7) stable; urgency=medium

  * patch_config_file.py: Updated script to be able to run on opsi 4.2.

 -- Niko Wenselowski <n.wenselowski@uib.de> Wed, 14 Oct 2019 18:51:40 +0100

opsi-linux-client-agent (4.1.0.19-6) stable; urgency=medium

  * opsi-script 4.12.2.3
  * opsiscriptstarter 4.1.0.5

 -- d.oertel <d.oertel@uib.de> Tue, 10 Sep 2019 15:00:00 + 0100

opsi-linux-client-agent (4.1.0.19-5) stable; urgency=low

  * systemd on SLES 15 and up: Use a combination of service with timer.

 -- Mathias Radtke <m.radtke@uib.de> Thu, 29 Aug 2019 11:16:00 +0200

opsi-linux-client-agent (4.1.0.19-4) stable; urgency=medium

  * systemd on Debian 10: Use a combination of service with timer.

 -- Niko Wenselowski <n.wenselowski@uib.de> Wed, 09 Aug 2019 12:38:57 +0100

opsi-linux-client-agent (4.1.0.19-3) stable; urgency=medium

  * opsiscriptstarter will use systemd on Debian 10.

 -- Niko Wenselowski <n.wenselowski@uib.de> Wed, 07 Aug 2019 08:10:43 +0100

opsi-linux-client-agent (4.1.0.19-2) stable; urgency=medium

  * now also 32 bit binaries as 4.12.2
  * fix syntaxcheck in setup.opsiscript (mr)

-- d.oertel <d.oertel@uib.de> Tue, 06 Aug 2019 15:00:00 + 0100

opsi-linux-client-agent (4.1.0.19-1) stable; urgency=medium

  * update opsi-script to 4.12.2.0 with ssl 1.1 support
  * get own ip from 'ip route get' fixed ; fixes #4096
  * fix if ldconfig is not in path (openSuse Leap 15.1)
  * fix for lbssl.so.10 (centos 9)

-- d.oertel <d.oertel@uib.de> Mon, 22 Jul 2019 15:00:00 + 0100


opsi-linux-client-agent (4.1.0.19-1) stable; urgency=medium

  * added support for opensuse Leap 15.1

-- Mathias Radtke <m.radtke@uib.de> Tue, 18 Jun 2019 15:30:00 +0200

-----------------------------------
windomain (1.0-11) stable; urgency=low
        * removed wsitch for smbv1
        * fixes ou-syntax for method powershell #2019080510000021

 -- bardo wolf <b.wolf@uib.de>  Tue,  13 Aug 2019 14:00:00 +0200

windomain (1.0-10) stable; urgency=low

        * option for using a password only one time

 -- rupert roeder <r.roeder@uib.de>  Mon,  10 Apr 2017 17:00:00 +0200


windomain (1.0-9) stable; urgency=low

        * possibly switch to SMB1 with Win10

 -- detlef oertel <d.oertel@uib.de>  Fri,  28 Aug 2015 17:00:00 +0200
 
-----------------------------------

opsi-setup-detector (4.1.0.14) stable; urgency=low

  * osdbasedata: handle path to config with umlaut
  * osdhelper: registerForWinExplorer : changed behavior if not admin  fixes #4009

-- Detlef Oertel <d.oertel@uib.de>  Tue,  15 Oct 2019 : 15:00:00 +0200

opsi-setup-detector (4.1.0.13) stable; urgency=low

  * osdform: change event (genRttiEditChange) for more edit fields
  * osdbasedata: better template for unknown installer

-- Detlef Oertel <d.oertel@uib.de>  Mo,  14 Oct 2019 : 15:00:00 +0200

opsi-setup-detector (4.1.0.12) stable; urgency=low

  * osdform: build mode: switch from check boxes to radio buttons to avoid unusable combinations
  * osdbasedata: set Inno in prioriry to top. fixes: #4097

-- Detlef Oertel <d.oertel@uib.de>  Mo,  02 Sep 2019 : 15:00:00 +0200

opsi-setup-detector (4.1.0.11) stable; urgency=low

  * add 'Self-extracting installation program':
    Vendor is unknown right now.

    Usage:
    SETUP.EXE [/a] [/b1:"commands"] [/b2:"commands"] [/b3:"commands"] [/d:"dir"] [/n:"name"] [/u:"name"] [/r:"program"]

    /a                          Automatic mode.
    /d:"dir"            Override installation directory.
    /b1:"commands"      Add commands to the end of the Pre-Installation Batch.
    /b2:"commands"      Add commands to the end of the Post-Installation Batch.
    /b3:"commands"      Add commands to the end of the Installation-Exit Batch.
    /n:"name"   Override product name.
    /u:"name"   Uninstall product by name.
    /r:"program"        Run the specified program after a successful installation.

  * more markers for nsis

-- Detlef Oertel <d.oertel@uib.de>  Mon,  15 Jul 2019 : 15:00:00 +0200

-----------------------------------

l-desktop 4.1.0.5-4 ; stable ; urgency=low

  * ShellInAnIcon_desktop_localization_libreoffice_debuntu: reverted changes from 4.1.0.5-3

 -- Mathias Radtke <m.radtke@uib.de> Mon 30 Sep 2019 09:00:00 +0200

 -- Erol Ueluekmen <e.ueluekmen@uib.de> Wed, 23 Sep 2019 09:22:25 +0100

l-desktop 4.1.0.5-3 ; stable ; urgency=low

  * ShellInAnIcon_desktop_localization_libreoffice_debuntu: change option hunspell-$libreofficeLangLang$ to hunspell-$libreofficeLangLang$-$libreofficeLangLang$

 -- Erol Ueluekmen <e.ueluekmen@uib.de> Wed, 23 Sep 2019 09:22:25 +0100

l-desktop 4.1.0.5-2 ; stable ; urgency=low

  * ShellInAnIcon_desktop_localization_libreoffice_debuntu: change option hunspell-$libreofficeLangLang$

 -- Kasten Koepke <k.koepke@uib.de> Wed, 25 Jul 2019 09:22:25 +0100


Re: Neue Pakete in Stable und Testing

Verfasst: 27 Nov 2019, 15:44
von RMuenz
hallo,
habe eben aktualisiert - und nun schlägt hwaudit fehl mit ExitCode 1.
Dank Virtualisierung den Server zurückgesetzt und hwaudit läuft. Was könnte die Ursache sein?
Ich kann gern das Log bereitstellen.
Danke und Grüße, Ralf

EDIT: Hat sich schon erledigt - nach erneutem Update läuft es ...